import java.io.IOException;

import javax.servlet.ServletException;

import org.apache.cactus.ServletTestCase;
import org.apache.cactus.WebRequest;
import org.xml.sax.SAXException;

import com.meterware.httpunit.WebTable;
import com.meterware.httpunit.cookies.Cookie;

public class SimpleServletTest_Cactus extends ServletTestCase {

	public SimpleServletTest_Cactus(String name) {
		super(name);
	}

	public void beginRegisterUser(WebRequest theRequest) {
		theRequest.addParameter("USER_NAME", "Vincent");
	}

	public void testRegisterUser() throws ServletException {
		SimpleServlet servlet = new SimpleServlet();
		try {
			servlet.doGet(request, response);
		} catch (IOException e) {
			fail("Exception not expected!");
		}
		String name = servlet.registerUser(request, response);
		assertEquals("Vincent", name);
		assertEquals("Vincent", (String) session.getAttribute("NAME"));
	}

//	public void endRegisterUser(WebResponse theResponse) {
//		Cookie cookie = theResponse.getCookie("ID");
//		assertEquals("Vincent", cookie.getValue());
//		assertEquals("<html><body><h1>Your name is Vincent</h1></body></html>", theResponse.getText());
//	}
	
	public void endRegisterUser(com.meterware.httpunit.WebResponse theResponse) throws SAXException
	{
		assertEquals("Vincent", theResponse.getNewCookieValue("ID"));
		WebTable table = theResponse.getTables()[0];
		assertEquals("rows", 1, table.getRowCount());
		assertEquals("columns", 2, table.getColumnCount());
		assertEquals("value", "Vincent" , table.getTableCell(0, 1).getText());
		assertEquals("title", "Teste cactus!" , theResponse.getTitle());
	}


}