import java.io.IOException;
import java.net.MalformedURLException;

import org.xml.sax.SAXException;

import junit.framework.TestCase;

import com.meterware.httpunit.GetMethodWebRequest;
import com.meterware.httpunit.WebConversation;
import com.meterware.httpunit.WebRequest;
import com.meterware.httpunit.WebResponse;
import com.meterware.httpunit.WebTable;


public class SimpleServletTest_HttpUnit extends TestCase {

	public SimpleServletTest_HttpUnit(String name) {
		super(name);
	}

	public void test() throws MalformedURLException, IOException, SAXException {

		WebConversation wc = new WebConversation();
		WebRequest request = new GetMethodWebRequest(
				"http://localhost:8080/cactus/test?USER_NAME=Vincent");
		WebResponse theResponse = wc.getResponse(request);
		
		assertEquals("Vincent", theResponse.getNewCookieValue("ID"));
		WebTable table = theResponse.getTables()[0];
		assertEquals("rows", 1, table.getRowCount());
		assertEquals("columns", 2, table.getColumnCount());
		assertEquals("value", "Vincent" , table.getTableCell(0, 1).getText());
		assertEquals("title", "Teste cactus!" , theResponse.getTitle());

	}

}
