import javax.servlet.http.HttpServletRequest;

import junit.framework.TestCase;

import com.meterware.httpunit.PostMethodWebRequest;
import com.meterware.httpunit.WebRequest;
import com.meterware.servletunit.InvocationContext;
import com.meterware.servletunit.ServletRunner;
import com.meterware.servletunit.ServletUnitClient;

public class SimpleServletTest_ServletUnit extends TestCase {

	public SimpleServletTest_ServletUnit(String name) {
		super(name);
	}
	
	public void testServletGetUser(){
	    ServletRunner sr = new ServletRunner();
	    sr.registerServlet("SimpleServlet", SimpleServlet.class.getName());
	    ServletUnitClient sc = sr.newClient();
	    WebRequest request = new PostMethodWebRequest("http://localhost/SimpleServlet?USER_NAME=TimmyC");
	    try {
	        InvocationContext ic = sc.newInvocation(request);
	        SimpleServlet simpleServlet = (SimpleServlet) ic.getServlet();
	        HttpServletRequest simpleServletRequest = ic.getRequest();
	        simpleServletRequest.setAttribute("USER_NAME", "TimmyC");
	        String userName = simpleServlet.registerUser(ic.getRequest(),ic.getResponse());
	        assertEquals("TimmyC", userName);
	    }
	    catch (Exception e){
	        fail("Error testing getUser exception is " + e);
	        e.printStackTrace();
	    }
	}
	
}
